[Libreoffice-commits] buildbot.git: lcov-report/lcov-report.sh lcov-report/README lcov-report/tinderbox

Maarten Hoes hoes.maarten at gmail.com
Tue Jan 27 01:39:16 PST 2015


 lcov-report/README                                           |    6 +++---
 lcov-report/lcov-report.sh                                   |    2 +-
 lcov-report/tinderbox/.tb/profiles/lcov-make-check/phases.sh |    4 ++--
 lcov-report/tinderbox/README.tb                              |    2 ++
 4 files changed, 8 insertions(+), 6 deletions(-)

New commits:
commit 45c3803ace2a9e17bae6f5d537bc29df81c8af0e
Author: Maarten Hoes <hoes.maarten at gmail.com>
Date:   Mon Jan 26 12:54:08 2015 +0100

    Added 'gb_GCOV=YES' to make commands.
    
    Change-Id: I88f43377c4614e14d4cc34aace0c8b2e3544a302
    Reviewed-on: https://gerrit.libreoffice.org/14183
    Reviewed-by: Caolán McNamara <caolanm at redhat.com>
    Tested-by: Caolán McNamara <caolanm at redhat.com>

diff --git a/lcov-report/README b/lcov-report/README
index 735bbd6..f8afd82 100644
--- a/lcov-report/README
+++ b/lcov-report/README
@@ -96,14 +96,14 @@ EXAMPLE
 
                 lcov-report.sh -b -C /home/user/build -t \
                 /home/user/traces -s /home/user/src/libreoffice \
-		-d "make check"
+                -d "make check"
 
 
         3.) Run tests.
 
                 Now you can run the tests for which you want to report
-                code coverage. This could be as simple as 'make check'
-                in the build directory.
+                code coverage. This could be as simple as 
+                'gb_GCOV=YES make check' in the build directory.
 
 
         4.) Run 'lcov-report.sh -a'.
diff --git a/lcov-report/lcov-report.sh b/lcov-report/lcov-report.sh
index 20cd233..78f29ec 100755
--- a/lcov-report/lcov-report.sh
+++ b/lcov-report/lcov-report.sh
@@ -128,7 +128,7 @@ source_build()
     "${SRC_DIR?}/autogen.sh" --enable-python=internal --disable-online-update --without-system-libs --without-system-headers \
     || die "autogen.sh failed."
 
-    make build-nocheck || die "make build-nocheck failed."
+    gb_GCOV=YES make build-nocheck || die "make build-nocheck failed."
 
     cd -
 }
diff --git a/lcov-report/tinderbox/.tb/profiles/lcov-make-check/phases.sh b/lcov-report/tinderbox/.tb/profiles/lcov-make-check/phases.sh
index 3a2b5f8..f4218be 100644
--- a/lcov-report/tinderbox/.tb/profiles/lcov-make-check/phases.sh
+++ b/lcov-report/tinderbox/.tb/profiles/lcov-make-check/phases.sh
@@ -6,7 +6,7 @@ lcov-make-check_do_make()
     if [ "${R}" = "0" ] ; then
         # we for MAKE_RESTARTS=1 because 1/ we know that Makefile is up to date
         # and 2/ the 'restart' mechanism in make is messed-up by the fact that we trap SIGINT
-        if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} MAKE_RESTARTS=1 build-nocheck > "tb_${P?}_build-nocheck.log" 2>&1 ; then
+        if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} MAKE_RESTARTS=1 gb_GCOV=YES build-nocheck > "tb_${P?}_build-nocheck.log" 2>&1 ; then
             tb_REPORT_LOG="tb_${P?}_build-nocheck.log"
             tb_REPORT_MSGS="build failed - error is:"
             [ $V ] && echo "make failed :"
@@ -20,7 +20,7 @@ lcov-make-check_do_make()
                 [ $V ] && cat tb_${P?}_build-nocheck.log
                 R=1
             else
-                if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} MAKE_RESTARTS=1 check >> "tb_${P?}_build-nocheck.log" 2>&1 ; then
+                if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} MAKE_RESTARTS=1 gb_GCOV=YES check >> "tb_${P?}_build-nocheck.log" 2>&1 ; then
                     tb_REPORT_LOG="tb_${P?}_build-nocheck.log"
                     tb_REPORT_MSGS="make check failed - error is:"
                     [ $V ] && echo "make failed :"
diff --git a/lcov-report/tinderbox/README.tb b/lcov-report/tinderbox/README.tb
index e525527..d6b7d94 100644
--- a/lcov-report/tinderbox/README.tb
+++ b/lcov-report/tinderbox/README.tb
@@ -20,3 +20,5 @@ directory tree to your existing ~/.tb tree, and add the profile
 also need to set 'TB_BRANCH', 'TB_BUILD_DIR', and 'TB_GIT_DIR'
 there. Additionally, you need to modify the 'TB_LCOV_*' variables in
 './.tb/profiles/lcov-make-check/config' to reflect your situation.
+
+You can then start tinderbox like so: debug=1 ./tb -p lcov-make-check -v


More information about the Libreoffice-commits mailing list